from distutils.core import setup
import py2exe

import qubx.pyenv
VERSION = qubx.pyenv.read_version(open('qubx/express.py', 'r').read())

setup(
    name = 'QUB Express',
    description = 'Hidden Markov Modeling',
    version = '.'.join(map(str, VERSION)),

    windows = [
                  {
                      'script': 'qubx/express.py'#,
#                      'icon_resources': [(1, "handytool.ico")],
                  }
              ],

    options = {
                  'py2exe': {
                      'packages':'encodings',
                      'includes': 'cairo, pango, pangocairo, atk, gobject, gio, ctypes, ctypes.util, logging',
                      'excludes': 'OpenGL'
#+
#                                  'OpenGL.arrays.arraydatatype, ' +
#                                  'OpenGL.arrays.arrayhelpers, ' +
#                                  'OpenGL.arrays.ctypesarrays, ' +
#                                  'OpenGL.arrays.ctypesparameters, ' +
#                                  'OpenGL.arrays.ctypespointers, ' +
#                                  'OpenGL.arrays.formathandler, ' +
#                                  'OpenGL.arrays.lists, ' +
#                                  'OpenGL.arrays.nones, ' +
#                                  'OpenGL.arrays.numbers, ' +
#                                  'OpenGL.arrays.numpymodule, ' +
#                                  'OpenGL.arrays.strings'
                  }
              }#,

 #   data_files=[
 #                  'handytool.glade',
 #                  'readme.txt'
 #              ]
)
